﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="UiCommand.cs" company="" />
// <summary>
//   Defines a command that controls the appearance and behavior of a UI command representation (e.g. menu, tool-button).
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace FormsUtilities
{
    /// <summary>
    /// Defines a command that controls the appearance and behavior of a UI command representation (e.g. menu, tool-button).
    /// </summary>
    public class UiCommand
    {
        /// <summary>
        /// Gets the name of the UI command.
        /// </summary>
        public string Name { get; private set; }

        /// <summary>
        /// Gets or sets whether the command is enabled.
        /// </summary>
        public bool Enabled { get; set; }

        /// <summary>
        /// Gets or sets whether the command is visible.
        /// </summary>
        public bool Visible { get; set; }
    }
}
